var _excluded = ["type", "hourStep", "minuteStep", "value", "onChange"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { forwardRef } from 'react';
import getList from "./getList";
import valueToList from "./valueToList";
import listToValue from "./listToValue";

// 内库使用
import Picker from "./../../../Picker";

// 测试使用
// import { Picker } from 'seedsui-react'

// 日期选择
function Main(_ref, ref) {
  var _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'date' : _ref$type,
    hourStep = _ref.hourStep,
    minuteStep = _ref.minuteStep,
    value = _ref.value,
    onChange = _ref.onChange,
    props = _objectWithoutProperties(_ref, _excluded);
  function handleChange(list) {
    var newValue = listToValue(list, type);
    onChange && onChange(newValue);
  }
  return /*#__PURE__*/React.createElement(Picker.Main, _extends({
    ref: ref,
    value: valueToList(value, type),
    list: getList(value, type, {
      hourStep: hourStep,
      minuteStep: minuteStep
    }),
    onChange: handleChange
  }, props));
}
export default /*#__PURE__*/forwardRef(Main);