import getDefaultRangeId from "./../RangeMain/SelectorMain/getDefaultRangeId";

// 内库使用
import DateUtil from "./../../DateUtil";

// 测试使用
// import { DateUtil } from 'seedsui-react'

// 判断选中日期是否与rangeId相匹配, 不匹配则清空选中rangeId
function matchRangeId(value, _ref) {
  var type = _ref.type,
    rangeId = _ref.rangeId,
    ranges = _ref.ranges;
  if (rangeId) {
    var rangeDates = ranges[rangeId];
    // 自定义项
    if (!Array.isArray(rangeDates)) {
      return rangeId;
    }
    // 非自定义项
    if (DateUtil.compare(value === null || value === void 0 ? void 0 : value[0], rangeDates === null || rangeDates === void 0 ? void 0 : rangeDates[0], type) === 0 && DateUtil.compare(value === null || value === void 0 ? void 0 : value[1], rangeDates === null || rangeDates === void 0 ? void 0 : rangeDates[1], type) === 0) {
      return rangeId;
    }
  }

  // rangeId未匹配成功, 则显示默认别名
  var defaultRangeId = getDefaultRangeId(value, ranges, type);
  if (defaultRangeId) {
    return defaultRangeId;
  }
  return '';
}
export default matchRangeId;