// 加载google地图leaflet插件
function loadGoogleMutant() {
  return new Promise(function (resolve) {
    if (window.L.tileLayer.currentTileLayer) {
      resolve(true);
      return;
    }

    // Delete old script
    var scriptTag = document.getElementById('google-map-mutant-js');
    if (scriptTag) {
      scriptTag.parentNode.removeChild(scriptTag);
    }

    // Load js
    // 'https://unpkg.com/leaflet.gridlayer.googlemutant@latest/dist/Leaflet.GoogleMutant.js'
    Object.loadScript('//res.waiqin365.com/d/seedsui/leaflet/js/Leaflet.GoogleMutant.js', {
      attrs: {
        id: 'google-map-mutant-js'
      }
    }, function (result) {
      if (!result) {
        resolve("googleMutant\u5730\u56FE\u52A0\u8F7D\u5931\u8D25");
      } else {
        window.L.tileLayer.currentTileLayer = function () {
          return window.L.gridLayer.googleMutant({
            type: 'roadmap'
          });
        };
        resolve(true);
      }
    });
  });
}
export default loadGoogleMutant;